> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit SOF Answers

> Submit answers to the Source of Funds questionnaire



## OpenAPI

````yaml https://gp-auth-module.prod.gnosispay.com/openapi.json post /source-of-funds
openapi: 3.0.0
info:
  version: 1.0.0
  title: SIWE Authentication API
  description: Sign In With Ethereum authentication service
servers:
  - url: https://gp-auth-module.prod.gnosispay.com
    description: API server
security: []
paths:
  /source-of-funds:
    post:
      tags:
        - Source of Funds
      summary: Submit SOF Answers
      description: Submit answers to the Source of Funds questionnaire
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitSOFAnswersRequest'
      responses:
        '201':
          description: Answers submitted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitSOFAnswersSuccess'
        '400':
          description: Invalid answers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitSOFAnswers400'
        '401':
          description: Unauthorized - Invalid or missing JWT
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: User not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: Core API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Bearer: []
components:
  schemas:
    SubmitSOFAnswersRequest:
      type: object
      properties:
        answers:
          type: array
          items:
            type: object
            properties:
              question:
                type: string
              answer:
                type: string
            required:
              - question
              - answer
          minItems: 1
      required:
        - answers
    SubmitSOFAnswersSuccess:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    SubmitSOFAnswers400:
      anyOf:
        - $ref: '#/components/schemas/ValidationError'
        - $ref: '#/components/schemas/SubmitSOFAnswersValidationError'
    Error:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
      required:
        - success
        - error
    ValidationError:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: object
          properties:
            name:
              type: string
              enum:
                - ValidationError
            message:
              type: string
          required:
            - name
            - message
      required:
        - success
        - error
    SubmitSOFAnswersValidationError:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
        details:
          type: string
      required:
        - success
        - error

````